import { CancelEventArgs } from "igniteui-webcomponents-core";
import { SpreadsheetCell } from "./SpreadsheetCell";
import { Type } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class SpreadsheetEditModeExitingEventArgs extends CancelEventArgs {
    static $t: Type;
    private _c;
    private _f;
    private _e;
    private _i;
    constructor(a: SpreadsheetCell, b: boolean, c: boolean, d: string);
    get acceptChanges(): boolean;
    set acceptChanges(a: boolean);
    get canCancel(): boolean;
    get cell(): SpreadsheetCell;
    get editText(): string;
}
